Bug 981986 - [abrt] gnucash-2.4.13-1.fc18: set_gdate_val: Process /usr/bin/gnucash was killed by signal 11 (SIGSEGV)
[abrt] gnucash-2.4.13-1.fc18: set_gdate_val: Process /usr/bin/gnucash was kil...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
abrt_hash:4d96bc741cafec05b5393ba05bf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 10:34 EDT by Brent R Brian
Modified: 2014-03-16 23:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-13 12:23:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.03 KB, text/plain)
2013-07-07 10:34 EDT, Brent R Brian
no flags Details
File: cgroup (128 bytes, text/plain)
2013-07-07 10:35 EDT, Brent R Brian
no flags Details
File: core_backtrace (2.93 KB, text/plain)
2013-07-07 10:35 EDT, Brent R Brian
no flags Details
File: dso_list (18.00 KB, text/plain)
2013-07-07 10:35 EDT, Brent R Brian
no flags Details
File: environ (1.37 KB, text/plain)
2013-07-07 10:35 EDT, Brent R Brian
no flags Details
File: gconf_subtree (10.97 KB, text/plain)
2013-07-07 10:35 EDT, Brent R Brian
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-07 10:35 EDT, Brent R Brian
no flags Details
File: maps (88.10 KB, text/plain)
2013-07-07 10:35 EDT, Brent R Brian
no flags Details
File: open_fds (999 bytes, text/plain)
2013-07-07 10:35 EDT, Brent R Brian
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-07-07 10:35 EDT, Brent R Brian
no flags Details
File: var_log_messages (334 bytes, text/plain)
2013-07-07 10:35 EDT, Brent R Brian
no flags Details
log file from: gnucash --nofile --debug --extra --logto ~/gnucash.log (2.26 MB, text/x-log)
2013-07-07 11:15 EDT, Brent R Brian
no flags Details

  None (edit)
Description Brent R Brian 2013-07-07 10:34:55 EDT
Description of problem:
I have two accounting files, one opens fine (the smaller), the other (larger) crashes silently.

Version-Release number of selected component:
gnucash-2.4.13-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnucash
crash_function: set_gdate_val
executable:     /usr/bin/gnucash
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 set_gdate_val at gnc-slots-sql.c:604
 #1 load_date at gnc-backend-sql.c:2104
 #2 gnc_sql_load_object at gnc-backend-sql.c:2479
 #3 load_slot_for_list_item at gnc-slots-sql.c:902
 #4 gnc_sql_slots_load_for_list at gnc-slots-sql.c:962
 #5 query_transactions at gnc-transaction-sql.c:421
 #6 gnc_sql_transaction_load_all_tx at gnc-transaction-sql.c:901
 #7 g_hash_table_foreach_sorted at qofutil.c:47
 #8 qof_object_foreach_backend at qofobject.c:398
 #9 gnc_sql_load at gnc-backend-sql.c:261
Comment 1 Brent R Brian 2013-07-07 10:34:59 EDT
Created attachment 769994 [details]
File: backtrace
Comment 2 Brent R Brian 2013-07-07 10:35:02 EDT
Created attachment 769995 [details]
File: cgroup
Comment 3 Brent R Brian 2013-07-07 10:35:05 EDT
Created attachment 769996 [details]
File: core_backtrace
Comment 4 Brent R Brian 2013-07-07 10:35:08 EDT
Created attachment 769997 [details]
File: dso_list
Comment 5 Brent R Brian 2013-07-07 10:35:11 EDT
Created attachment 769998 [details]
File: environ
Comment 6 Brent R Brian 2013-07-07 10:35:14 EDT
Created attachment 769999 [details]
File: gconf_subtree
Comment 7 Brent R Brian 2013-07-07 10:35:18 EDT
Created attachment 770000 [details]
File: limits
Comment 8 Brent R Brian 2013-07-07 10:35:21 EDT
Created attachment 770001 [details]
File: maps
Comment 9 Brent R Brian 2013-07-07 10:35:25 EDT
Created attachment 770002 [details]
File: open_fds
Comment 10 Brent R Brian 2013-07-07 10:35:28 EDT
Created attachment 770003 [details]
File: proc_pid_status
Comment 11 Brent R Brian 2013-07-07 10:35:31 EDT
Created attachment 770004 [details]
File: var_log_messages
Comment 12 Brent R Brian 2013-07-07 11:13:29 EDT
I doubt this helps much, but here goes.

I have two files, sqlite, one is rather small, the other (that crashes) is large.

Neither of the two closed with any warning or error (that I know of) when last used.

I have had updates recently, almost every time I log on.

I can open the smaller file, no issues.  Larger one fails.

As a sanity check, I:

  removed gnucash (yum remove)
  installed gnucash (yum install)

then I ran gnucash from command line:

  gnucash --nofile --debug --extra --logto ~/gnucash.log

and then opened my file (largest one), it failes.

The log file seems to say the same thing the crash report does, but I attached it anyway.
Comment 13 Brent R Brian 2013-07-07 11:15:10 EDT
Created attachment 770017 [details]
log file from: gnucash --nofile --debug --extra --logto ~/gnucash.log

added log file.
Comment 14 Bill Nottingham 2013-07-09 16:53:45 EDT
Is there some version that *doesn't* crash on that file?
Comment 15 Brent R Brian 2013-07-11 06:41:55 EDT
Actually, the "file" is SQLite ... I did a query on the record in question and it seems fine ... the transaction log file seems fine.
Comment 16 Bill Nottingham 2013-07-11 10:37:27 EDT
I'm sorry, restating - is there some version of GnuCash which starts correctly with that file?
Comment 17 Brent R Brian 2013-07-13 12:23:45 EDT
I tried the file with Mint 15 and it failed.

I restored the file from backup, replayed the log files to bring it up to date, and all seems well ... no idea what happened ... system stable and nothing ever crashes ...  seems odd that it appeared after updates ... no matter.

Note You need to log in before you can comment on or make changes to this bug.